package com.utopiaindustries.dao.ctp;

import com.utopiaindustries.model.ctp.CutPiece;
import com.utopiaindustries.model.ctp.SkuCutPieces;
import org.springframework.jdbc.core.RowMapper;

import java.sql.ResultSet;
import java.sql.SQLException;

public class SkuCutPieceRowMapper implements RowMapper<SkuCutPieces> {
    public SkuCutPieces mapRow(ResultSet rs, int rowNum) throws SQLException {
        SkuCutPieces skuCutPieces = new SkuCutPieces();
        skuCutPieces.setId(rs.getLong("id"));
        skuCutPieces.setSku(rs.getString("sku"));
        skuCutPieces.setType(rs.getString("title"));
        return skuCutPieces;
    }
}